package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.WxWeappCodeStatus;
import com.iformall.domain.vo.WxWeappCodeStatusVo;

import java.util.List;
import java.util.Map;

public interface WxWeappCodeStatusService {

    /**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
    PageInfo<WxWeappCodeStatusVo> listAsPage(WxWeappCodeStatusVo record, Integer pageIndex, Integer pageSize);

    /**
     * 根据实体查询列表
     *
     * @param record
     * @return
     */
    List<WxWeappCodeStatusVo> getList(WxWeappCodeStatusVo record);

    /**
     * 查询version列表
     *
     * @return
     */
    List<Map> getVersionList(Integer type);

    /**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxWeappCodeStatus getById(Long id);

    /**
     * 根据appId获得实体
     *
     * @param appId
     * @return
     */
    WxWeappCodeStatus getByAppId(String appId);

    /**
     * 保存实体
     *
     * @param record
     */
    void saveStatus(WxWeappCodeStatus record);

    /**
     * 更新codeCommit Status
     *
     * @param record
     */
    void updateStatus(WxWeappCodeStatus record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);


}
